<mat-toolbar color="primary" class="fixed-header">
  <button type="button" class="titleButton" mat-button routerLink="/home">
    {{ appTitle | translate }}
  </button>

  <span class="spacer"></span>
  <button mat-button [matMenuTriggerFor]="languageMenu">
    <mat-icon svgIcon="{{ selectedLanguage.key }}"></mat-icon>
    &nbsp; {{ selectedLanguage.key | uppercase }}
  </button>
  <button type="button" mat-icon-button color="accent">
    <mat-icon>account_circle</mat-icon>
  </button>
</mat-toolbar>
<ng-content></ng-content>
<mat-menu #languageMenu="matMenu">
  <button
    mat-menu-item
    *ngFor="let language of availableLanguages"
    (click)="setLanguage(language.key)"
  >
    <mat-icon svgIcon="{{ language.key }}"></mat-icon>
    <span>{{ language.key | uppercase }}</span>
  </button>
</mat-menu>
